MAV_teapot(3)

NAME
MAV_teapot - Default object class ``teapot''.

LEVEL
Maverik Level 1

SYNTAX

 typedef struct {
  float size;
  int subdivisions;
  MAV_teabag teabag;
  int lumps;
  MAV_surfaceParams *sp;
  MAV_matrix matrix;
  void *userdef;
} MAV_teapot;

DESCRIPTION
The classic computer graphics teapot without which no Virtual Environment is complete. The teapot is orientated with its Y axis as ``up'' and the spout pointing along the positive X axis. The teapot has an extent size between the edge of the handle and the tip of the spout. The bezier surfaces by which the teapot is defined are subdivided subdivisions times when rendered (if greater than zero and mav_opt_curveLOD is not set).

The type of tea used to brew-up is governed by the enumerated constant teabag which is set to either TETLEY, PG_TIPS or EARL_GREY. The amount of sugar used is controlled by lumps, in units of heaped teaspoons, and should be set to less than 2 otherwise you'll get fat and rot your teeth.